getVpcList

Prev Next

Available in VPC

Get the list of VPCs based on the conditions the user specifies.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vpc/v2/getVpcList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all VPC APIs, see VPC common headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code where you want to query the VPC list
  • First Region of the query result (default)
  • Check through the getRegionList action.
vpcStatusCode String Optional Query the VPC list with the VPC status code.
  • INIT | CREATING | RUN | TERMTING
vpcName String Optional Query the VPC list with the VPC name.
vpcNoList.N List[String] Optional Query the VPC list with the VPC number.
  • vpcNo can be obtained through getVpcList.
  • Example: vpcNoList.1=1234&vpcNoList.2=2345
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/getVpcList
?regionCode=KR
&vpcStatusCode=RUN
&vpcName=test-***
&vpcNoList.1=***04
&responseFormatType=xml' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'    

Response

This section describes the response format.

Response body

See VpcList for the response body.

Response status codes

For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.

Response example

The response example is as follows:

<getVpcListResponse>
  <requestId>9b37ea3e-3ca9-462f-abad-6e23a35fcb76</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>1</totalRows>
  <vpcList>
    <vpc>
      <vpcNo>***04</vpcNo>
      <vpcName>test-***</vpcName>
      <ipv4CidrBlock>***.***.0.0/16</ipv4CidrBlock>
      <vpcStatus>
        <code>RUN</code>
        <codeName>run</codeName>
      </vpcStatus>
      <regionCode>KR</regionCode>
      <createDate>2020-07-16T22:23:50+0900</createDate>
    </vpc>
  </vpcList>
</getVpcListResponse>